Name:           python-drapo
Version:        1.2.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Interactive features (cursor, draggable lines & rectangles, graphical input, clik-to-make-axes active, etc.) for Matplotlib.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/ovinc/drapo
Source:         %{pypi_source drapo}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'drapo' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-drapo
Summary:        %{summary}

%description -n python3-drapo %_description


%prep
%autosetup -p1 -n drapo-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-drapo -f %{pyproject_files}


%changelog
%autochangelog